html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f9f9f9;
    border-top: 1px solid #ddd;
    padding-top: 20px;
    overflow: hidden;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: normal;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

textarea { 
    overflow:auto; 
    resize:none;
} 

a.btn.patient-btn {
    color:white;
    width: 160px;
    margin: 5px;
}

a.btn.update-patient {
    background:rgb(60, 125, 247);
}
a.btn.delete-patient {
    background:rgb(255, 81, 81);
}

a.btn.activate-patient {
    background:rgb(37, 189, 194);
}

a.btn.update-body-measures {
    background:rgb(228, 184, 103);
}
a.btn.add-to-patient {
    margin: 5px 10px 10px 10px;
    background:rgb(29, 129, 34);
}
/* a.btn.add-payment {
    background:rgb(176, 85, 250);
}

a.btn.add-diet-program {
    background:rgb(250, 85, 195);
}

a.btn.add-medical-test {
    background:rgb(71, 32, 107);
} */

button.update-body-measure {
    border:none;
    width: max-content;
    margin: auto;
    display: block;
}

a.btn.update-patient:hover {
    background:rgb(39, 86, 173);
}
a.btn.delete-patient:hover {
    background:rgb(202, 51, 51);
}

a.btn.activate-patient:hover {
    background:rgb(37, 189, 194);
}

/* a.btn.update-body-measures:hover {
    background:rgb(202, 159, 78);
} */
a.btn.add-to-patient:hover {
    background:rgb(21, 102, 25);
}
/* a.btn.add-payment:hover {
    background:rgb(141, 58, 209);
}

a.btn.add-diet-program:hover {
    background:rgb(250, 85, 195);
}

a.btn.add-medical-test:hover {
    background:rgb(71, 32, 107);
}

button.update-body-measure:hover {
    background:rgb(245, 141, 198);
} */

div.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 110px;
    z-index: 1;
}

th.sticky-th {
    position: -webkit-sticky;
    position: sticky;
    z-index: 2;
}

th.meal-sticky-th {
    top: 50px;
    background: rgb(196, 207, 253);
}

th.ingredient-sticky-th {
    top: 100px;
    background: rgb(195, 209, 253);
}

p.sticky-buttons {
    position: -webkit-sticky;
    position: sticky;
    top: 52px;
    z-index: 2;
    text-align: center;
    background-color: rgb(255, 255, 255);
}

td.textual_explanation { 
    white-space: pre-line;
    width: 40%;
 }

.arabic_text {
     direction: rtl;
 }

.center-text {
    text-align: center;
}

.btn-expanded{
    width: 100px;
}

#loading-container{
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    background-color: #999;
    color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    opacity: 0.8;
}